Bug 278049 - Crash during tagging while scanning run in background (Digikam::ImageModel::removeRowPairs)
Summary: Crash during tagging while scanning run in background (Digikam::ImageModel::r...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 4.0.0
Platform: Ubuntu Packages Linux
: NOR crash with 80 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-18 21:59 UTC by The_Akki
Modified: 2017-07-25 10:50 UTC (History)
42 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
New crash information added by DrKonqi (32.03 KB, text/plain)
2011-08-03 19:16 UTC, Flu87
Details
New crash information added by DrKonqi (23.29 KB, text/plain)
2011-10-16 12:33 UTC, Vladimir
Details
New crash information added by DrKonqi (23.29 KB, text/plain)
2011-10-16 12:33 UTC, Vladimir
Details
New crash information added by DrKonqi (23.29 KB, text/plain)
2011-10-16 12:33 UTC, Vladimir
Details
New crash information added by DrKonqi (24.04 KB, text/plain)
2011-11-02 23:11 UTC, Vladimir
Details
New crash information added by DrKonqi (21.85 KB, text/plain)
2011-11-08 20:06 UTC, Vladimir
Details
New crash information added by DrKonqi (24.05 KB, text/plain)
2011-12-14 19:46 UTC, Richard Mortimer
Details
New crash information added by DrKonqi (26.91 KB, text/plain)
2012-01-07 16:58 UTC, Vladimir
Details
New crash information added by DrKonqi (21.80 KB, text/plain)
2012-03-15 22:46 UTC, Danilo
Details
New crash information added by DrKonqi (9.68 KB, text/plain)
2012-03-18 15:16 UTC, Frederic Grelot
Details
New crash information added by DrKonqi (21.17 KB, text/plain)
2012-04-22 19:39 UTC, mail
Details
New crash information added by DrKonqi (22.22 KB, text/plain)
2012-05-09 19:25 UTC, Pkoper
Details
New crash information added by DrKonqi (26.51 KB, text/plain)
2012-08-07 06:52 UTC, Christian Danneberg
Details
New crash information added by DrKonqi (31.78 KB, text/plain)
2012-08-24 22:10 UTC, Sigi Huber
Details
New crash information added by DrKonqi (41.72 KB, text/plain)
2012-10-27 21:40 UTC, Maral Afris
Details
New crash information added by DrKonqi (27.54 KB, text/plain)
2012-11-24 21:01 UTC, Elias Probst
Details
New crash information added by DrKonqi (20.75 KB, text/plain)
2012-12-19 14:08 UTC, Stefan Kretzschmar
Details
New crash information added by DrKonqi (20.19 KB, text/plain)
2012-12-26 12:50 UTC, mehdi
Details
New crash information added by DrKonqi (44.12 KB, text/plain)
2013-02-24 13:16 UTC, Konstantin
Details
New crash information added by DrKonqi (24.78 KB, text/plain)
2013-03-24 17:52 UTC, Lucas Linard
Details
New crash information added by DrKonqi (56.74 KB, text/plain)
2013-04-15 00:46 UTC, Kai Krakow
Details
New crash information added by DrKonqi (14.06 KB, text/plain)
2013-06-30 09:48 UTC, Lucas Linard
Details
New crash information added by DrKonqi (23.60 KB, text/plain)
2013-10-02 00:34 UTC, Lucas Linard
Details
gdb full backtrace (12.21 KB, text/plain)
2013-12-01 18:17 UTC, Pete Beardmore
Details

Note You need to log in before you can comment on or make changes to this bug.
Description The_Akki 2011-07-18 21:59:32 UTC
Application: digikam (2.0.0-rc)
KDE Platform Version: 4.6.5 (4.6.5)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
I have tagged some pictures with face detection. In Background face scanning was active.

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f76ba453a60 (LWP 2342))]

Thread 13 (Thread 0x7f7695b23700 (LWP 2494)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f76b2a0882b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00000000005b68b8 in Digikam::ScanController::run (this=0x29fc050) at /build/buildd/digikam2-2.0.0~rc1/core/digikam/database/scancontroller.cpp:618
#3  0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f76b16dfd8c in start_thread (arg=0x7f7695b23700) at pthread_create.c:304
#5  0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f7695322700 (LWP 2495)):
#0  pthread_mutex_lock (mutex=0x297d178) at forward.c:182
#1  0x00007f76abb110d3 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f76abb11f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f76b2a05924 in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0x00007f76b2ad0c2f in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f76b16dfd8c in start_thread (arg=0x7f7695322700) at pthread_create.c:304
#11 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f7694b21700 (LWP 2653)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f76b2a0882b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f76b7077367 in Digikam::ParkingThread::run (this=0x2e0fa80) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:119
#3  0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f76b16dfd8c in start_thread (arg=0x7f7694b21700) at pthread_create.c:304
#5  0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f7691f69700 (LWP 2657)):
#0  0x00007f76b2b19e9c in ?? () from /usr/lib/libQtCore.so.4
#1  0x00007f76abb11854 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f76abb12122 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f76b2a05924 in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0x00007f76b2ad0c2f in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f76b16dfd8c in start_thread (arg=0x7f7691f69700) at pthread_create.c:304
#11 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f7684636700 (LWP 2811)):
#0  0x00007f76b16e23c4 in __pthread_mutex_lock (mutex=0x427c8e8) at pthread_mutex_lock.c:61
#1  0x00007f76abb1187f in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f76abb12122 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f76b2a05924 in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0x00007f76b2ad0c2f in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00007f76b16dfd8c in start_thread (arg=0x7f7684636700) at pthread_create.c:304
#11 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f76721a0700 (LWP 3320)):
#0  0x00007fff5e7ff861 in clock_gettime ()
#1  0x00007f76a8acf146 in clock_gettime (clock_id=1, tp=0x7f767219f810) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f76b2a59304 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f76b2b1ae3d in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f76b2b1b1a5 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2b19c2c in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2b19cd5 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f76abb110a2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f76abb11f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#13 0x00007f76b7076a0f in Digikam::WorkerObjectRunnable::run (this=0x86f9470) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:196
#14 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f76b16dfd8c in start_thread (arg=0x7f76721a0700) at pthread_create.c:304
#17 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f76731a2700 (LWP 3383)):
#0  0x00007fff5e7ff861 in clock_gettime ()
#1  0x00007f76a8acf146 in clock_gettime (clock_id=1, tp=0x7f76731a1810) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f76b2a59304 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f76b2b1ae3d in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f76b2b1b1a5 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2b19c2c in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2b19cd5 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f76abb110a2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f76abb11f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#13 0x00007f76b7076a0f in Digikam::WorkerObjectRunnable::run (this=0x8f253b0) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:196
#14 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f76b16dfd8c in start_thread (arg=0x7f76731a2700) at pthread_create.c:304
#17 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f76729a1700 (LWP 3411)):
#0  __find_specmb (s=0x7f767299f7e0, format=0x7f76b3073d4d "LANGUAGE=%s", ap=0x7f767299f950) at printf-parse.h:99
#1  _IO_vfprintf_internal (s=0x7f767299f7e0, format=0x7f76b3073d4d "LANGUAGE=%s", ap=0x7f767299f950) at vfprintf.c:1325
#2  0x00007f76b19f3780 in ___vsnprintf_chk (s=0x29dea70 "", maxlen=<value optimized out>, flags=1, slen=<value optimized out>, format=0x7f76b3073d4d "LANGUAGE=%s", args=0x7f767299f950) at vsnprintf_chk.c:65
#3  0x00007f76b19f36c5 in ___snprintf_chk (s=<value optimized out>, maxlen=<value optimized out>, flags=<value optimized out>, slen=<value optimized out>, format=<value optimized out>) at snprintf_chk.c:36
#4  0x00007f76b2fe7248 in KCatalog::translateStrict (this=0x9311fe0, msgctxt=<value optimized out>, msgid=0x7f7693ad28d1 "Unable to fetch row") at ../../kdecore/localization/kcatalog.cpp:264
#5  0x00007f76b300236c in KLocalePrivate::translateRawFrom (this=<value optimized out>, catname=0x0, msgctxt=0x7f7693ad2806 "QSQLiteResult", msgid=0x7f7693ad28d1 "Unable to fetch row", msgid_plural=0x0, n=0, language=0x7f767299fd10, translation=0x7f767299fd20) at ../../kdecore/localization/klocale_kde.cpp:946
#6  0x00007f76b2ffa748 in KLocalePrivate::translateQt (this=0x29de590, context=<value optimized out>, sourceText=0x7f7693ad28d1 "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale_kde.cpp:1011
#7  0x00007f76b2ff35b1 in KLocale::translateQt (this=<value optimized out>, context=<value optimized out>, sourceText=<value optimized out>, comment=<value optimized out>) at ../../kdecore/localization/klocale.cpp:199
#8  0x00007f76b2f7898c in KDETranslator::translate (this=<value optimized out>, context=0x7f7693ad2806 "QSQLiteResult", sourceText=0x7f7693ad28d1 "Unable to fetch row", message=<value optimized out>) at ../../kdecore/kernel/kglobal_p.h:52
#9  0x00007f76b2b0be76 in QTranslator::translate(char const*, char const*, char const*, int) const () from /usr/lib/libQtCore.so.4
#10 0x00007f76b2aefaf6 in QCoreApplication::translate(char const*, char const*, char const*, QCoreApplication::Encoding, int) () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2aefedf in QCoreApplication::translate(char const*, char const*, char const*, QCoreApplication::Encoding) () from /usr/lib/libQtCore.so.4
#12 0x00007f7693ad0cc4 in ?? () from /usr/lib/qt4/plugins/sqldrivers/libqsqlite.so
#13 0x00007f7693ad1a9f in ?? () from /usr/lib/qt4/plugins/sqldrivers/libqsqlite.so
#14 0x00007f76ba17ef15 in QSqlQuery::exec() () from /usr/lib/libQtSql.so.4
#15 0x00007f76b700e6ae in Digikam::DatabaseCoreBackend::exec (this=<value optimized out>, query=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/database/databasecorebackend.cpp:1405
#16 0x00007f76b700e89b in Digikam::DatabaseCoreBackend::execQuery (this=0x2b89ff0, query=..., boundValue1=<value optimized out>, boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/database/databasecorebackend.cpp:1077
#17 0x00007f76b700e90a in Digikam::DatabaseCoreBackend::execQuery (this=0x2b89ff0, sql=<value optimized out>, boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/database/databasecorebackend.cpp:1022
#18 0x00007f76b70107c5 in Digikam::DatabaseCoreBackend::execSql (this=0x2b89ff0, sql=<value optimized out>, boundValue1=<value optimized out>, boundValue2=<value optimized out>, boundValue3=<value optimized out>, boundValue4=<value optimized out>, values=0x0, lastInsertId=0x7f76729a03f0) at /build/buildd/digikam2-2.0.0~rc1/core/libs/database/databasecorebackend.cpp:921
#19 0x00007f76b701bab3 in Digikam::ThumbnailDB::insertThumbnail (this=0x2b89fd0, info=..., lastInsertId=0x7f76729a0460) at /build/buildd/digikam2-2.0.0~rc1/core/libs/database/thumbnaildb.cpp:262
#20 0x00007f76b704f398 in Digikam::ThumbnailCreator::storeInDatabase (this=<value optimized out>, info=..., image=<value optimized out>) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/thumbnailcreator.cpp:753
#21 0x00007f76b7054b63 in Digikam::ThumbnailCreator::load (this=0x2e5ccc0, path=..., rect=..., pregenerate=true) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/thumbnailcreator.cpp:264
#22 0x00007f76b705596d in Digikam::ThumbnailCreator::pregenerate (this=<value optimized out>, path=<value optimized out>) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/thumbnailcreator.cpp:180
#23 0x00007f76b7064a30 in Digikam::ThumbnailLoadingTask::execute (this=0xce21fd0) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/thumbnailtask.cpp:79
#24 0x00007f76b7037216 in Digikam::LoadSaveThread::run (this=0x29b6b20) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/loadsavethread.cpp:118
#25 0x00007f76b707896e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x2d5fd50) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/dynamicthread.cpp:328
#26 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#27 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#28 0x00007f76b16dfd8c in start_thread (arg=0x7f76729a1700) at pthread_create.c:304
#29 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#30 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f765b7fe700 (LWP 3769)):
#0  __pthread_getspecific (key=<value optimized out>) at pthread_getspecific.c:67
#1  0x00007f76b2a08241 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007f76b2b19e99 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f76abb110a2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f76abb11f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x00007f76b7076a0f in Digikam::WorkerObjectRunnable::run (this=0x7f76682e4a40) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:196
#10 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007f76b16dfd8c in start_thread (arg=0x7f765b7fe700) at pthread_create.c:304
#13 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7682a38700 (LWP 3781)):
#0  0x00007f76b0e4214c in ?? () from /usr/lib/x86_64-linux-gnu/libjpeg.so.62
#1  0x00007f76b0e42017 in ?? () from /usr/lib/x86_64-linux-gnu/libjpeg.so.62
#2  0x00007f76b0e3e964 in ?? () from /usr/lib/x86_64-linux-gnu/libjpeg.so.62
#3  0x00007f76b0e3af32 in jpeg_read_scanlines () from /usr/lib/x86_64-linux-gnu/libjpeg.so.62
#4  0x00007f76b6eb37a1 in Digikam::JPEGLoader::load (this=0x7f7682a36ab0, filePath=<value optimized out>, observer=0x868ab70) at /build/buildd/digikam2-2.0.0~rc1/core/libs/dimg/loaders/jpegloader.cpp:426
#5  0x00007f76b6e90514 in Digikam::DImg::load (this=0x868ad50, filePath=..., loadFlagsInt=63, observer=0x868ab70, rawDecodingSettings=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/dimg/dimg.cpp:423
#6  0x00007f76b6e91ce2 in Digikam::DImg::load (this=0x868ad50, filePath=..., observer=0x868ab70, rawDecodingSettings=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/dimg/dimg.cpp:369
#7  0x00007f76b704becd in Digikam::PreviewLoadingTask::execute (this=0x868ab60) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/previewtask.cpp:294
#8  0x00007f76b7037216 in Digikam::LoadSaveThread::run (this=0x8f3e970) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threadimageio/loadsavethread.cpp:118
#9  0x00007f76b707896e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x8f3ad60) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/dynamicthread.cpp:328
#10 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007f76b16dfd8c in start_thread (arg=0x7f7682a38700) at pthread_create.c:304
#13 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f767119e700 (LWP 3786)):
#0  0x00007f76b16e5c27 in __pthread_getspecific (key=3) at pthread_getspecific.c:62
#1  0x00007f76b2a08241 in ?? () from /usr/lib/libQtCore.so.4
#2  0x00007f76b2b19e99 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f76abb11854 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f76abb12122 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0x00007f76b7076a0f in Digikam::WorkerObjectRunnable::run (this=0xcfca7b0) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:196
#10 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00007f76b16dfd8c in start_thread (arg=0x7f767119e700) at pthread_create.c:304
#13 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f767099d700 (LWP 3824)):
#0  0x00007fff5e7ff861 in clock_gettime ()
#1  0x00007f76a8acf146 in clock_gettime (clock_id=1, tp=0x7f767099c810) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f76b2a59304 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00007f76b2b1ae3d in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f76b2b1b1a5 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f76b2b19c2c in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f76b2b19cd5 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f76abb110a2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f76abb11f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f76b2b1a446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#13 0x00007f76b7076a0f in Digikam::WorkerObjectRunnable::run (this=0x7f76683ed420) at /build/buildd/digikam2-2.0.0~rc1/core/libs/threads/threadmanager.cpp:196
#14 0x00007f76b29fd188 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00007f76b2a08175 in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f76b16dfd8c in start_thread (arg=0x7f767099d700) at pthread_create.c:304
#17 0x00007f76b19dd04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f76ba453a60 (LWP 2342)):
[KCrash Handler]
#6  0x00007f76b2b0c350 in QVariant::~QVariant() () from /usr/lib/libQtCore.so.4
#7  0x00007f76b6a9ab09 in node_destruct (this=0x2eeb798, afirst=..., alast=...) at /usr/include/qt4/QtCore/qlist.h:375
#8  QList<QVariant>::erase (this=0x2eeb798, afirst=..., alast=...) at /usr/include/qt4/QtCore/qlist.h:790
#9  0x00007f76b6a97e78 in Digikam::ImageModel::removeRowPairs (this=0x2fa5b80, toRemove=...) at /build/buildd/digikam2-2.0.0~rc1/core/libs/models/imagemodel.cpp:862
#10 0x00007f76b6a99239 in Digikam::ImageModel::finishIncrementalRefresh (this=0x2fa5b80) at /build/buildd/digikam2-2.0.0~rc1/core/libs/models/imagemodel.cpp:700
#11 0x000000000054e185 in Digikam::ImageAlbumModel::slotResult (this=0x2fa5b80, job=<value optimized out>) at /build/buildd/digikam2-2.0.0~rc1/core/libs/models/imagealbummodel.cpp:307
#12 0x000000000054f6ee in Digikam::ImageAlbumModel::qt_metacall (this=0x2fa5b80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff5e7cf410) at /build/buildd/digikam2-2.0.0~rc1/obj-x86_64-linux-gnu/core/digikam/imagealbummodel.moc:117
#13 0x00007f76b2b045f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#14 0x00007f76b2f5bd32 in KJob::result (this=<value optimized out>, _t1=0xd0a0b70) at ./kjob.moc:194
#15 0x00007f76b2f5bd70 in KJob::emitResult (this=0xd0a0b70) at ../../kdecore/jobs/kjob.cpp:312
#16 0x00007f76b53b928b in KIO::SimpleJob::slotFinished (this=0xd0a0b70) at ../../kio/kio/job.cpp:525
#17 0x00007f76b53be312 in KIO::TransferJob::slotFinished (this=0xd0a0b70) at ../../kio/kio/job.cpp:1120
#18 0x00007f76b53c1861 in KIO::TransferJob::qt_metacall (this=0xd0a0b70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff5e7cf820) at ./jobclasses.moc:367
#19 0x00007f76b2b045f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#20 0x00007f76b545f791 in KIO::SlaveInterface::dispatch (this=<value optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:173
#21 0x00007f76b545c715 in KIO::SlaveInterface::dispatch (this=0x83bc5a0) at ../../kio/kio/slaveinterface.cpp:89
#22 0x00007f76b54500be in KIO::Slave::gotInput (this=0x83bc5a0) at ../../kio/kio/slave.cpp:348
#23 0x00007f76b545070c in KIO::Slave::qt_metacall (this=0x83bc5a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff5e7cfc30) at ./slave.moc:82
#24 0x00007f76b2b045f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#25 0x00007f76b538a597 in KIO::ConnectionPrivate::dequeue (this=0x8c27520) at ../../kio/kio/connection.cpp:82
#26 0x00007f76b538a63d in KIO::Connection::qt_metacall (this=0x8d0d170, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xcec1bd0) at ./connection.moc:79
#27 0x00007f76b2b0349a in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#28 0x00007f76b37069e4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#29 0x00007f76b370b3aa in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#30 0x00007f76b44266c6 in KApplication::notify (this=0x7fff5e7d07c0, receiver=0x8d0d170, event=0xceb92b0) at ../../kdeui/kernel/kapplication.cpp:311
#31 0x00007f76b2aef49c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#32 0x00007f76b2af2c25 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#33 0x00007f76b2b1a253 in ?? () from /usr/lib/libQtCore.so.4
#34 0x00007f76abb11bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007f76abb123a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007f76abb12639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007f76b2b1a3ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#38 0x00007f76b37addfe in ?? () from /usr/lib/libQtGui.so.4
#39 0x00007f76b2aee882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#40 0x00007f76b2aeeabc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#41 0x00007f76b2af2ecb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#42 0x000000000068b1c4 in main (argc=1, argv=0x7fff5e7d1018) at /build/buildd/digikam2-2.0.0~rc1/core/digikam/main/main.cpp:232

This bug may be a duplicate of or related to bug 262873.

Possible duplicates by query: bug 275684.

Reported using DrKonqi
Comment 1 Flu87 2011-08-03 19:16:22 UTC
Created attachment 62516 [details]
New crash information added by DrKonqi

digikam (2.0.0) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.3

- What I was doing when the application crashed:
I also tagged images while it was scanning in the background

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0xe2f5d60cbd0df063, __in_chrg=<value optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f0850534c1c in node_destruct (this=0x1ae51f8, afirst=) at /usr/include/qt4/QtCore/qlist.h:375
#8  QList<QVariant>::erase (this=0x1ae51f8, afirst=) at /usr/include/qt4/QtCore/qlist.h:790
#9  0x00007f0850530cc5 in Digikam::ImageModel::removeRowPairs (this=0x1980450, toRemove=<value optimized out>) at /var/tmp/portage/media-gfx/digikam-2.0.0/work/digikam-2.0.0/core/libs/models/imagemodel.cpp:878
#10 0x00007f0850532ad8 in Digikam::ImageModel::finishIncrementalRefresh (this=0x1980450) at /var/tmp/portage/media-gfx/digikam-2.0.0/work/digikam-2.0.0/core/libs/models/imagemodel.cpp:705
Comment 2 Marcel Wiesweg 2011-08-21 14:32:02 UTC
*** Bug 280520 has been marked as a duplicate of this bug. ***
Comment 3 Marcel Wiesweg 2011-10-07 16:15:59 UTC
*** Bug 283540 has been marked as a duplicate of this bug. ***
Comment 4 Marcel Wiesweg 2011-10-07 16:16:43 UTC
*** Bug 283537 has been marked as a duplicate of this bug. ***
Comment 5 Marcel Wiesweg 2011-10-08 15:31:39 UTC
*** Bug 283165 has been marked as a duplicate of this bug. ***
Comment 6 Vladimir 2011-10-16 12:33:24 UTC
Created attachment 64580 [details]
New crash information added by DrKonqi

digikam (2.1.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Running face detection, application regulary crashes in about 25% progress.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x5054c702500ff00, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f3c945beb68 in node_destruct (n=0x66732e8, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x2e77698) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x2e7cf80, toRemove=...) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:878
#10 0x00007f3c945c070d in Digikam::ImageModel::finishIncrementalRefresh (this=0x2e7cf80) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:705
Comment 7 Vladimir 2011-10-16 12:33:24 UTC
Created attachment 64581 [details]
New crash information added by DrKonqi

digikam (2.1.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Running face detection, application regulary crashes in about 25% progress.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x5054c702500ff00, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f3c945beb68 in node_destruct (n=0x66732e8, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x2e77698) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x2e7cf80, toRemove=...) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:878
#10 0x00007f3c945c070d in Digikam::ImageModel::finishIncrementalRefresh (this=0x2e7cf80) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:705
Comment 8 Vladimir 2011-10-16 12:33:24 UTC
Created attachment 64582 [details]
New crash information added by DrKonqi

digikam (2.1.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Running face detection, application regulary crashes in about 25% progress.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x5054c702500ff00, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f3c945beb68 in node_destruct (n=0x66732e8, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x2e77698) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x2e7cf80, toRemove=...) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:878
#10 0x00007f3c945c070d in Digikam::ImageModel::finishIncrementalRefresh (this=0x2e7cf80) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:705
Comment 9 caulier.gilles 2011-10-19 07:08:01 UTC
*** Bug 284398 has been marked as a duplicate of this bug. ***
Comment 10 caulier.gilles 2011-11-01 08:51:01 UTC
Vladimir, 

Can you check with 2.2.0, or better with current implementation from git/master. Thanks in advance

Gilles Caulier
Comment 11 caulier.gilles 2011-11-01 08:52:07 UTC
*** Bug 285444 has been marked as a duplicate of this bug. ***
Comment 12 Vladimir 2011-11-02 23:11:27 UTC
Created attachment 65177 [details]
New crash information added by DrKonqi

digikam (2.2.0) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

I confirmed the same crash with DigiKam 2.2.0. It happens quite randomly. Once it crashed a few seconds after the start, another time it went almost up to 50%.

I|m not very familiar with compiling more complex projects, so I can only test this verion from Ubuntu PPA by Philip Johnsson.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x46004300530044, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f4a1b327018 in node_destruct (n=0x72c7288, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x2b22e58) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x2b1d680, toRemove=...) at /build/buildd/digikam-2.2.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f4a1b328b5d in Digikam::ImageModel::finishIncrementalRefresh (this=0x2b1d680) at /build/buildd/digikam-2.2.0/core/libs/models/imagemodel.cpp:720
Comment 13 caulier.gilles 2011-11-03 12:42:28 UTC
digiKam 2.2.0 is out since few weeks. Crash still valid with this version ?

Gilles Caulier
Comment 14 Vladimir 2011-11-08 20:06:01 UTC
Created attachment 65410 [details]
New crash information added by DrKonqi

digikam (2.3.0) on KDE Platform 4.7.3 (4.7.3) using Qt 4.7.4

I still have the same crash even with DigiKam 2.3.0

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x6400690077002000, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f572a144ed8 in node_destruct (n=0x7202458, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x29bcb78) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x297da60, toRemove=...) at /build/buildd/digikam-2.3.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f572a146a1d in Digikam::ImageModel::finishIncrementalRefresh (this=0x297da60) at /build/buildd/digikam-2.3.0/core/libs/models/imagemodel.cpp:720
Comment 15 Richard Mortimer 2011-12-14 19:46:38 UTC
Created attachment 66757 [details]
New crash information added by DrKonqi

digikam (2.4.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Was scanning for faces in the background whilst tagging already detected faces.

Running philip5 on Ubuntu Oneiric

-- Backtrace (Reduced):
#7  0xb4c0eacb in clear (d=0xb5fd8a0) at kernel/qvariant.cpp:286
#8  0xb5186749 in clear (d=0xb5fd8a0) at kernel/qguivariant.cpp:280
#9  0xb4c0b83a in ~QVariant (this=0xb5fd8a0, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1408
#10 QVariant::~QVariant (this=0xb5fd8a0, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1405
#11 0xb666e5a6 in node_destruct (n=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
Comment 16 Vladimir 2011-12-15 10:23:51 UTC
I can also confirm that digiKam 2.4.1 on (K)ubuntu always crashes when scanning faces. Even If I don't do anything else.
Comment 17 caulier.gilles 2012-01-07 09:40:59 UTC
*** Bug 290826 has been marked as a duplicate of this bug. ***
Comment 18 Vladimir 2012-01-07 16:58:52 UTC
Created attachment 67547 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.7.97 (4.8 RC2 (4.7.97) using Qt 4.7.4

I still have the same crash while scanning faces with DigiKam 2.5.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x200000002, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f5e34837028 in node_destruct (n=0x24bf290, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x2031a58) at /usr/include/qt4/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0x202ebf0, toRemove=...) at /build/buildd/digikam-2.5.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f5e34838b6d in Digikam::ImageModel::finishIncrementalRefresh (this=0x202ebf0) at /build/buildd/digikam-2.5.0/core/libs/models/imagemodel.cpp:720
Comment 19 caulier.gilles 2012-01-27 21:59:51 UTC
*** Bug 292634 has been marked as a duplicate of this bug. ***
Comment 20 caulier.gilles 2012-01-29 13:12:35 UTC
*** Bug 279996 has been marked as a duplicate of this bug. ***
Comment 21 Jens Weibler 2012-02-10 13:25:27 UTC
Shouldn't this bug be confirmed by now?
Comment 22 Danilo 2012-03-15 22:46:32 UTC
Created attachment 69654 [details]
New crash information added by DrKonqi

digikam (2.4.1) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
I was removing some wrong detected face while the scanning process was still running

-- Backtrace (Reduced):
#6  0x00007f78fd4e82c0 in QVariant::~QVariant() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f78ff845b09 in QList<QVariant>::erase(QList<QVariant>::iterator, QList<QVariant>::iterator) () from /usr/lib64/libdigikamdatabase.so.2
#8  0x00007f78ff843306 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib64/libdigikamdatabase.so.2
#9  0x00007f78ff844caa in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib64/libdigikamdatabase.so.2
#10 0x0000000000554575 in Digikam::ImageAlbumModel::slotResult(KJob*) ()
Comment 23 Frederic Grelot 2012-03-18 15:16:01 UTC
Created attachment 69714 [details]
New crash information added by DrKonqi

digikam (2.6.0-beta3) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:

No scanning was underway in background, and I just clicked on "Confirm" on one of the face in order to give it a person's name.

I'm running 2.6.0-beta3, ( commit 5ceffb0acf70515a8997573ab917dd026fa2352a more precisely, built from source).

-- Backtrace (Reduced):
#6  0x00000038ac199bb0 in QVariant::~QVariant() () from /usr/lib64/libQtCore.so.4
#7  0x00007fed35472218 in node_destruct (n=0x9661b78, this=0x26a4d58) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0x26a4d58) at /usr/include/QtCore/qlist.h:803
#9  Digikam::ImageModel::removeRowPairs (this=0x26a4130, toRemove=...) at /home/goulou/digikam/digikam-sc/core/libs/models/imagemodel.cpp:901
#10 0x00007fed35473d8d in Digikam::ImageModel::finishIncrementalRefresh (this=0x26a4130) at /home/goulou/digikam/digikam-sc/core/libs/models/imagemodel.cpp:720
Comment 24 Marcel Wiesweg 2012-03-18 17:25:40 UTC
*** Bug 296281 has been marked as a duplicate of this bug. ***
Comment 25 caulier.gilles 2012-03-26 09:11:30 UTC
*** Bug 296784 has been marked as a duplicate of this bug. ***
Comment 26 Marcel Wiesweg 2012-04-22 15:51:20 UTC
*** Bug 298599 has been marked as a duplicate of this bug. ***
Comment 27 mail 2012-04-22 19:39:50 UTC
Created attachment 70575 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
I select many faces and tagged it with a name. If i select less faces digikam don't crash.

-- Backtrace (Reduced):
#6  0x00007f3017b66a48 in clear (d=0x6e0e6a0) at kernel/qvariant.cpp:286
#7  0x00007f301a8414b8 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#8  0x00007f301a842ffd in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
[...]
#11 0x00007f3017fcc822 in KJob::result (this=<optimized out>, _t1=0x81aee50) at ./kjob.moc:208
#12 0x00007f3017fcc860 in KJob::emitResult (this=0x81aee50) at ../../kdecore/jobs/kjob.cpp:318
Comment 28 Pkoper 2012-05-09 19:25:44 UTC
Created attachment 70985 [details]
New crash information added by DrKonqi

digikam (2.2.0) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed: I was scan new face's in my colection. Progem crash whenscan is 5-15 % complette.

- Unusual behavior I noticed:

- Custom settings of the application:

-- Backtrace (Reduced):
#10 0x00007f2a568c1058 in clear (d=0x220ab30) at kernel/qvariant.cpp:287
#11 0x00007f2a588d2f68 in node_destruct (n=0x49cb7e0, this=<optimized out>) at /usr/include/QtCore/qlist.h:375
#12 erase (alast=<optimized out>, afirst=<optimized out>, this=0xd8de18) at /usr/include/QtCore/qlist.h:792
#13 Digikam::ImageModel::removeRowPairs (this=0xdc7930, toRemove=...) at /usr/src/debug/digikam-2.2.0/core/libs/models/imagemodel.cpp:901
#14 0x00007f2a588d4aad in Digikam::ImageModel::finishIncrementalRefresh (this=0xdc7930) at /usr/src/debug/digikam-2.2.0/core/libs/models/imagemodel.cpp:720
Comment 29 caulier.gilles 2012-06-13 20:45:24 UTC
*** Bug 301832 has been marked as a duplicate of this bug. ***
Comment 30 caulier.gilles 2012-06-13 21:06:21 UTC
*** Bug 301856 has been marked as a duplicate of this bug. ***
Comment 31 caulier.gilles 2012-06-22 08:49:40 UTC
Official digiKam 2.6.0 release is out since few days now :

http://www.digikam.org/drupal/node/656

Please, check if this entry still valid, or update report accordingly.

Thanks in advance.

Gilles Caulier
Comment 32 caulier.gilles 2012-07-10 14:55:13 UTC
*** Bug 303304 has been marked as a duplicate of this bug. ***
Comment 33 Christian Danneberg 2012-08-07 06:52:18 UTC
Created attachment 73012 [details]
New crash information added by DrKonqi

digikam (2.7.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Hi,
I was tagging some detected faces, after 15 or 20 pictures digikam crashes. I saw somewere in the standard out that the picture url was "" (empty). Maybe this can cause the crash? I have my pictures on a NAS-system. Maybe the longer loading time is the reason for the empty url?

No other task of digikam was running in the background.

Christian

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x3ff0000000000000, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1399
#7  0x00007fe0e11b9cd8 in node_destruct (n=0x7a83b88, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x206d138) at /usr/include/qt4/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=0x206acf0, toRemove=...) at /Daten/src/digikam-2.7.0/core/libs/models/imagemodel.cpp:1025
#10 0x00007fe0e11bbccd in Digikam::ImageModel::finishIncrementalRefresh (this=0x206acf0) at /Daten/src/digikam-2.7.0/core/libs/models/imagemodel.cpp:844
Comment 34 caulier.gilles 2012-08-07 07:26:11 UTC
Chistian,

In 2.8.0, just released, i remember that Marcel has commited few fixes about model/view, but i'm not sure that it will fix this issue...

http://sourceforge.net/projects/digikam/files/digikam/2.8.0/

Gilles Caulier
Comment 35 Christian Danneberg 2012-08-07 07:32:50 UTC
Okay, thanks I will try this version and report.
Comment 36 Christian Danneberg 2012-08-07 14:02:05 UTC
On 07.08.2012 09:26, Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=278049
>
> --- Comment #34 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Chistian,
>
> In 2.8.0, just released, i remember that Marcel has commited few fixes about
> model/view, but i'm not sure that it will fix this issue...
>
> http://sourceforge.net/projects/digikam/files/digikam/2.8.0/
>
> Gilles Caulier
>
Gilles,
I tried version 2.8.0 the crash is still there. In the next days I will 
try to run digikam with kdevelop and will try to find the point were the 
crash happend. I'll let you know if I found something.


Christian
Comment 37 Christian Danneberg 2012-08-09 18:47:03 UTC
Gilles,
I just tried to debug digikam 2.8.0 and I think found the crash here:


I don't know if this helps?
In the next three weeks I am on Holiday, so you will get no further 
answer from me until September?

Regards, Christian.

On 07.08.2012 09:26, Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=278049
>
> --- Comment #34 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Chistian,
>
> In 2.8.0, just released, i remember that Marcel has commited few fixes about
> model/view, but i'm not sure that it will fix this issue...
>
> http://sourceforge.net/projects/digikam/files/digikam/2.8.0/
>
> Gilles Caulier
>
Comment 38 Sigi Huber 2012-08-24 22:10:05 UTC
Created attachment 73449 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

I was tagging face. After clicking the "Confirm" button the application crashed.

-- Backtrace (Reduced):
#6  0x00007f64a3da9a48 in clear (d=0x6262270) at kernel/qvariant.cpp:286
#7  0x00007f64a6a89cf8 in node_destruct (n=0x62b4b68, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x26eeab8) at /usr/include/qt4/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=0x26ee8c0, toRemove=...) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:1025
#10 0x00007f64a6a8bced in Digikam::ImageModel::finishIncrementalRefresh (this=0x26ee8c0) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:844
Comment 39 Christian Danneberg 2012-08-29 06:27:09 UTC
Hi Gilles,
I am back from Holiday. I have tried to save this part of digikam by a 
QMutex, but it doesn't fix the bug. This means this is not a matter 
different threads, this is another programming issue.
At this point I have to give because I have unfortunately not the time 
to fix this bug. Here is the debug output of kdevelop:

digikam(8093)/digikam (core) 
Digikam::DatabaseConfigElementLoader::readConfig: false "1" 1 1
digikam(8093)/digikam (core) Digikam::SchemaUpdater::update: 
SchemaUpdater update
digikam(8093)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have 
a database structure version  6
digikam(8093)/digikam (core) Digikam::SchemaUpdater::makeUpdates: 
makeUpdates  6  to  6
digikam(8093)/digikam (core) 
Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  
"/"  uuid "networkshareid:?mountpath=%2FNetzlaufwerk%2FBilder"
digikam(8093)/digikam (core) 
Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  
"/home/dan/Bilder"  uuid 
"volumeid:?uuid=4147b03e-d16e-4b18-be8a-9697bb34b142"
digikam(8093)/digikam (core) 
Digikam::CollectionManager::updateLocations: location for 
"/Netzlaufwerk/Bilder"  is available  true
digikam(8093)/digikam (core) 
Digikam::CollectionManager::updateLocations: location for 
"/home/dan/Bilder"  is available  true
digikam(8093)/digikam (core) Digikam::LoadingCache::setCacheSize: 
Allowing a cache size of 200 MB
digikam(8093)/digikam (core) 
Digikam::ThumbnailSchemaUpdater::startUpdates: Have a thumbnail database 
structure version  "2"
digikam(8093)/digikam (core) 
Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db 
ready for use
digikam(8093)/digikam (core) Digikam::AlbumManager::checkNepomukService: 
Nepomuk server is not reachable. Cannot start Digikam Nepomuk Service
digikam(8093)/digikam (core) Digikam::CollectionScanner::completeScan: 
Complete scan (file scanning deferred) took: 4467 msecs.
digikam(8093)/digikam (core) 
Digikam::IccSettings::IccSettingsPriv::scanDirectories: 
("/usr/share/color/icc", "/home/dan/.local/share/icc")
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/digikam (core) 
Digikam::AlbumFilterModel::setSearchTextSettings: new search text 
settings:  "" : hasResult =  false , validRows =  0
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) Digikam::ThemeManager::slotChangePalette: 
"Steel"
digikam(8093)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::KInotify::Private::open: 
Successfully opened connection to inotify: 49
digikam(8093)/digikam (core) 
Digikam::SearchTabHeader::selectedSearchChanged: changing to SAlbum  0x0
digikam(8093)/digikam (core) 
Digikam::SearchTabHeader::selectedSearchChanged: changing to SAlbum  
0x28564a0
digikam(8093)/digikam (core) 
Digikam::FuzzySearchView::slotAlbumSelected: Selected new album 0x0
digikam(8093)/digikam (core) 
Digikam::FuzzySearchView::slotAlbumSelected: Not a haar search, returning
digikam(8093)/digikam (core) 
Digikam::FuzzySearchView::slotAlbumSelected: Selected new album 0x283d360
digikam(8093)/digikam (core) 
Digikam::FuzzySearchView::slotAlbumSelected: Not active, returning
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/digikam (core) Digikam::ImageInfoJob::slotResult: Failed 
to list url:  ""
digikam(8093)/digikam (core) Digikam::ImageInfoJob::slotResult: Failed 
to list url:  ""
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"batch_border_images" ' is disabled.
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"batch_color_images" ' is disabled.
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"batch_convert_images" ' is disabled.
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"batch_filter_images" ' is disabled.
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"batch_rename_images" ' is disabled.
digikam(8093)/KIPI (general) 
KIPIImageshackExportPlugin::Imageshack::readSettings: Reading data from 
kipirc file..
digikam(8093)/KIPI (general) 
KIPIPhotoLayoutsEditor::Plugin_PhotoLayoutsEditor::Plugin_PhotoLayoutsEditor: 
Plugin_PhotoLayoutsEditor plugin loaded
digikam(8093)/KIPI (general) KIPIGalleryExportPlugin::Gallery::load: 
Reading data from kipirc file..
digikam(8093)/digikam (core) 
Digikam::KipiPluginLoader::slotKipiPluginPlug: Plugin ' 
"raw_converter_single" ' is disabled.
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (core) 
Digikam::StatusProgressBar::currentProgressItem: ""
digikam(8093)/digikam (editor plugins) 
DigikamColorImagePlugin::ImagePlugin_Color::ImagePlugin_Color: 
ImagePlugin_Color plugin loaded
digikam(8093)/digikam (core) 
Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: 
Loaded plugin  "ImagePlugin_Color"
digikam(8093)/digikam (editor plugins) 
DigikamDecorateImagePlugin::ImagePlugin_Decorate::ImagePlugin_Decorate: 
ImagePlugin_Decorate plugin loaded
digikam(8093)/digikam (core) 
Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: 
Loaded plugin  "ImagePlugin_Decorate"
digikam(8093)/digikam (editor plugins) 
DigikamEnhanceImagePlugin::ImagePlugin_Enhance::ImagePlugin_Enhance: 
ImagePlugin_Enhance plugin loaded
digikam(8093)/digikam (core) 
Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: 
Loaded plugin  "ImagePlugin_Enhance"
digikam(8093)/digikam (editor plugins) 
DigikamFxFiltersImagePlugin::ImagePlugin_FxFilters::ImagePlugin_FxFilters: 
ImagePlugin_FxFilters plugin loaded
digikam(8093)/digikam (core) 
Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: 
Loaded plugin  "ImagePlugin_FxFilters"
digikam(8093)/digikam (editor plugins) 
DigikamTransformImagePlugin::ImagePlugin_Transform::ImagePlugin_Transform: 
ImagePlugin_Transform plugin loaded
digikam(8093)/digikam (core) 
Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: 
Loaded plugin  "ImagePlugin_Transform"
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting 
backend marble"
digikam(8093)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(8093)/digikam (core) Digikam::NewItemsFinder::slotStart: scan 
mode: ScanDeferredFiles
digikam(8093)/digikam (core) 
Digikam::DateFolderView::slotSelectionChanged: Not active, returning 
without action
digikam(8093)/digikam (core) 
Digikam::DateFolderView::slotSelectionChanged: Not active, returning 
without action
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0875.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0875.JPG"  : JPEG 
file identified
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0966.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0966.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0966.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0963.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0963.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0963.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0971.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0971.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0971.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0972.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0972.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0972.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0976.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0990.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0990.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0990.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0979.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0979.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0979.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0999.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0999.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0999.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1000.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1000.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1000.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0995.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0995.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0995.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0998.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0998.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG0998.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1026.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1026.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1026.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1013.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1013.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1013.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) 
Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database 
is locked. Waited 0
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::AlbumWatch::rescanDirectory: 
Detected change, triggering rescan of directory 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011"
digikam(8093)/digikam (core) Digikam::DImg::load: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1027.JPG"  : JPEG 
file identified
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype 
=  "JPEG"
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2760,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::FacePipeline::FacePipelinePriv::checkFinished: Check for 
finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2759,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) 
Digikam::ImageModel::ImageModelPriv::extraValueValid: Invalid index for 
extraData QModelIndex(2759,0,0x0,Digikam::ImageAlbumModel(0x13da6b0) )
digikam(8093)/digikam (core) Digikam::DMetadata::setImagePickLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1028.JPG" ==> Pick 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageColorLabel: 
"/Netzlaufwerk/Bilder/Lene/Kindergarten/01-2011/CIMG1028.JPG" ==> Color 
Label:  0
digikam(8093)/digikam (core) Digikam::DMetadata::setImageRating: Rating 
value to write is out of range!
*** Programm hat Signal SIGSEGV (Segmentation fault) empfangen ***


regards, Christian

On 07.08.2012 16:04, Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=278049
>
> Gilles Caulier <caulier.gilles@gmail.com> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Version|2.7.0                       |2.8.0
>
Comment 40 caulier.gilles 2012-09-20 21:08:04 UTC
*** Bug 307110 has been marked as a duplicate of this bug. ***
Comment 41 caulier.gilles 2012-09-29 07:03:14 UTC
*** Bug 307554 has been marked as a duplicate of this bug. ***
Comment 42 caulier.gilles 2012-10-14 13:52:40 UTC
*** Bug 308375 has been marked as a duplicate of this bug. ***
Comment 43 caulier.gilles 2012-10-18 08:33:20 UTC
*** Bug 308575 has been marked as a duplicate of this bug. ***
Comment 44 Maral Afris 2012-10-27 21:40:05 UTC
Created attachment 74838 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:
Face detection was running in background. Each time the software crashes after a few minutes

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x3ff0000000000000, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#7  0x00007f7971905733 in QList<QVariant>::node_destruct(QList<QVariant>::Node*) () from /usr/lib/libdigikamdatabase.so.2
#8  0x00007f797197f88a in QList<QVariant>::erase(QList<QVariant>::iterator, QList<QVariant>::iterator) () from /usr/lib/libdigikamdatabase.so.2
#9  0x00007f797197c7c8 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#10 0x00007f797197bc92 in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
Comment 45 Elias Probst 2012-11-24 21:01:45 UTC
Created attachment 75456 [details]
New crash information added by DrKonqi

digikam (3.0.0-beta3) on KDE Platform 4.9.80 using Qt 4.8.3

- What I was doing when the application crashed:

I was tagging an undetected (not unknown) face.
→ Draw a rectangle around the face
→ Click on the dropdown/input field labelled "Unknown"
→ Start typing a name
→ Use the arrow down key to select the match
→ Press enter
→ Digikam crashed

No face detection was running in the background.
I did the same thing leading to the crash hundred times before and it worked all the time.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x380022003d007800, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#7  0x00007fa7e687b438 in node_destruct (n=0x6ba4d10, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0xf4c7c8) at /usr/include/qt4/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=0xf2a720, toRemove=...) at /var/tmp/portage/media-gfx/digikam-3.0.0_beta3/work/digikam-3.0.0-beta3/core/libs/models/imagemodel.cpp:1025
#10 0x00007fa7e687d43d in Digikam::ImageModel::finishIncrementalRefresh (this=0xf2a720) at /var/tmp/portage/media-gfx/digikam-3.0.0_beta3/work/digikam-3.0.0-beta3/core/libs/models/imagemodel.cpp:844
Comment 46 Stefan Kretzschmar 2012-12-19 14:08:54 UTC
Created attachment 75927 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Here the same, digiKam crashes a few minutes after starting the face-scan.
Once in a while it was running longer, but it hardly was finishing a scan, no matter how many/or how less photos I give to scan.

-- Backtrace (Reduced):
#7  0x02dc23ab in clear (d=0x5f243278) at kernel/qvariant.cpp:286
#8  0x015d2cf9 in clear (d=0x5f243278) at kernel/qguivariant.cpp:280
#9  0x02dbf13a in ~QVariant (this=0x5f243278, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1400
#10 QVariant::~QVariant (this=0x5f243278, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1397
#11 0x0634ce56 in node_destruct (n=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
Comment 47 mehdi 2012-12-26 12:50:35 UTC
Created attachment 76020 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.3 using Qt 4.8.3

- What I was doing when the application crashed:
scanning for new faces (collection creation and initialization) (in background)
removing "faces" on no faces pictures

- Custom settings of the application:
language: fr
collection on a removable hard disk

-- Backtrace (Reduced):
#13 0xb652ff54 in QList<QVariant>::node_destruct(QList<QVariant>::Node*) () from /usr/lib/libdigikamdatabase.so.2
#14 0xb659e9f6 in QList<QVariant>::erase(QList<QVariant>::iterator, QList<QVariant>::iterator) () from /usr/lib/libdigikamdatabase.so.2
#15 0xb659bc38 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#16 0xb659b1d9 in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
#17 0x08191c4c in Digikam::ImageAlbumModel::slotResult(KJob*) ()
Comment 48 caulier.gilles 2012-12-27 07:20:06 UTC
*** Bug 312243 has been marked as a duplicate of this bug. ***
Comment 49 caulier.gilles 2012-12-28 10:10:20 UTC
*** Bug 312289 has been marked as a duplicate of this bug. ***
Comment 50 caulier.gilles 2013-02-08 07:47:28 UTC
*** Bug 314646 has been marked as a duplicate of this bug. ***
Comment 51 caulier.gilles 2013-02-11 08:40:44 UTC
*** Bug 314877 has been marked as a duplicate of this bug. ***
Comment 52 Konstantin 2013-02-24 13:16:49 UTC
Created attachment 77550 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.4 using Qt 4.8.3

- What I was doing when the application crashed:
I was removing picture without face from the list of unknown persons at the time the library was searched for faces in the background.

- Unusual behavior I noticed:
Entering Name under the Picture was practically impossible: during typing the whole entered text was selected and overriden by the following input (again and again). I was able to input at most 2 characters (I feature 10-finger typing). After entering one character the Popup-Window with proposals was visible for about quarter of a second and disappeared.

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x3ff0000000000004, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#7  0x00007fa693b53733 in QList<QVariant>::node_destruct(QList<QVariant>::Node*) () from /usr/lib/libdigikamdatabase.so.2
#8  0x00007fa693bcd88a in QList<QVariant>::erase(QList<QVariant>::iterator, QList<QVariant>::iterator) () from /usr/lib/libdigikamdatabase.so.2
#9  0x00007fa693bca7c8 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib/libdigikamdatabase.so.2
#10 0x00007fa693bc9c92 in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib/libdigikamdatabase.so.2
Comment 53 Lucas Linard 2013-03-24 17:52:07 UTC
Created attachment 78350 [details]
New crash information added by DrKonqi

digikam (3.0.0) on KDE Platform 4.10.00 "release 1" using Qt 4.8.4

- What I was doing when the application crashed:
Trying to scan collection for faces to be tagged

- Unusual behavior I noticed:
It simply crashes during face scan

- Custom settings of the application:

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x3900320022003d00, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#7  0x00007f051075cf81 in node_destruct (n=0x53f8ae8, this=<optimized out>) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x103b008) at /usr/include/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x1038b60, toRemove=...) at /usr/src/debug/digikam-3.0.0/core/libs/models/imagemodel.cpp:1025
#10 0x00007f051075eead in Digikam::ImageModel::finishIncrementalRefresh (this=0x1038b60) at /usr/src/debug/digikam-3.0.0/core/libs/models/imagemodel.cpp:844
Comment 54 caulier.gilles 2013-03-24 20:32:47 UTC
*** Bug 317290 has been marked as a duplicate of this bug. ***
Comment 55 Kai Krakow 2013-04-15 00:46:31 UTC
Created attachment 78912 [details]
New crash information added by DrKonqi

digikam (3.0.0) on KDE Platform 4.10.1 using Qt 4.8.4

- What I was doing when the application crashed:

I started face recognition and most times this results in a crash - not immediatly but after some time. I don't see any feedback on the scanning process running, just the hard disk starts working.

-- Backtrace (Reduced):
#6  0x00007ff66675fb65 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007ff666760fdb in __GI_abort () at abort.c:91
[...]
#9  0x00007ff6667a5456 in malloc_printerr (action=3, str=0x7ff666892c98 "double free or corruption (!prev)", ptr=<optimized out>) at malloc.c:5007
#10 0x00007ff66a1b4df0 in node_destruct (n=0x70bfb90, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#11 erase (alast=..., afirst=..., this=0x33e5858) at /usr/include/qt4/QtCore/qlist.h:811
Comment 56 caulier.gilles 2013-06-19 07:11:04 UTC
*** Bug 321273 has been marked as a duplicate of this bug. ***
Comment 57 Lucas Linard 2013-06-30 09:48:28 UTC
Created attachment 80859 [details]
New crash information added by DrKonqi

digikam (3.2.0) on KDE Platform 4.10.3 "release 1" using Qt 4.8.4

- What I was doing when the application crashed:

running face detect tool with detailed progress

-- Backtrace (Reduced):
#6  0x00007f581c1b5b88 in clear (d=0x8eaa710) at kernel/qvariant.cpp:290
#7  0x00007f581decd931 in node_destruct (n=0x74c9f48, this=<optimized out>) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x275f4e8) at /usr/include/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x275d040, toRemove=...) at /usr/src/debug/digikam-3.2.0/core/libs/models/imagemodel.cpp:1025
#10 0x00007f581decf85d in Digikam::ImageModel::finishIncrementalRefresh (this=0x275d040) at /usr/src/debug/digikam-3.2.0/core/libs/models/imagemodel.cpp:844
Comment 58 caulier.gilles 2013-07-02 07:07:16 UTC
*** Bug 321851 has been marked as a duplicate of this bug. ***
Comment 59 caulier.gilles 2013-08-12 20:04:39 UTC
*** Bug 323428 has been marked as a duplicate of this bug. ***
Comment 60 caulier.gilles 2013-08-21 08:53:02 UTC
*** Bug 323823 has been marked as a duplicate of this bug. ***
Comment 61 caulier.gilles 2013-08-21 11:12:51 UTC
*** Bug 323828 has been marked as a duplicate of this bug. ***
Comment 62 Jonathan Mast 2013-09-03 22:27:41 UTC
*** This bug has been confirmed by popular vote. ***
Comment 63 Flu87 2013-09-05 17:11:35 UTC
Also crashes, when I didn't scan, but changed recognized faces
and canceled the rebuilding of the face database (Setting Faces Map?)

btw. that uses 14GB RAM oO
Comment 64 Alexander Meshcheryakov 2013-09-05 20:18:17 UTC
Flu87, it seems you have been hit by https://bugs.kde.org/show_bug.cgi?id=323888
Comment 65 Lucas Linard 2013-10-02 00:34:08 UTC
Created attachment 82599 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.1 using Qt 4.8.5

- What I was doing when the application crashed:
Trying to use face detect tool to try to rescan the files with no confirmation

- Unusual behavior I noticed:
Simply Crashes.

-- Backtrace (Reduced):
#6  0x0000003421b9d70b in clear (d=0x5d16c30) at kernel/qvariant.cpp:290
#7  0x000000344ff35c11 in node_destruct (this=<optimized out>, n=0x5948158) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x2062b18) at /usr/include/QtCore/qlist.h:803
#9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x20606a0, toRemove=...) at /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#10 0x000000344ff36ec2 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x20606a0) at /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
Comment 66 e.longuemare 2013-10-02 07:36:57 UTC
Hello,

Should you do face confirmation without launching anything else out or
in digikam (no scanning ...) and see if it crash ?

-restart the computer, launch digikam in gdb and do face tag
confirmation

Should you give the result of $cat /proc/cpuinfo ?

cordialement,

Eric



Le mercredi 02 octobre 2013 à 00:34 +0000, Lucas Linard a écrit :
> https://bugs.kde.org/show_bug.cgi?id=278049
> 
> --- Comment #65 from Lucas Linard <lucaslinard@outlook.com.br> ---
> Created attachment 82599 [details]
>   --> https://bugs.kde.org/attachment.cgi?id=82599&action=edit
> New crash information added by DrKonqi
> 
> digikam (3.4.0) on KDE Platform 4.11.1 using Qt 4.8.5
> 
> - What I was doing when the application crashed:
> Trying to use face detect tool to try to rescan the files with no confirmation
> 
> - Unusual behavior I noticed:
> Simply Crashes.
> 
> -- Backtrace (Reduced):
> #6  0x0000003421b9d70b in clear (d=0x5d16c30) at kernel/qvariant.cpp:290
> #7  0x000000344ff35c11 in node_destruct (this=<optimized out>, n=0x5948158) at
> /usr/include/QtCore/qlist.h:388
> #8  erase (alast=..., afirst=..., this=0x2062b18) at
> /usr/include/QtCore/qlist.h:803
> #9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x20606a0,
> toRemove=...) at
> /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
> #10 0x000000344ff36ec2 in Digikam::ImageModel::finishIncrementalRefresh
> (this=this@entry=0x20606a0) at
> /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
>
Comment 67 Lucas Linard 2013-10-02 13:15:30 UTC
How do I launch digikam from gdb. I'm no developer just a regular user trying to help. What can I do?

[llinard@Inspiron ~]$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 58
model name      : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping        : 9
microcode       : 0x19
cpu MHz         : 1674.000
cache size      : 3072 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 2
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips        : 3591.83
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 58
model name      : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping        : 9
microcode       : 0x19
cpu MHz         : 1692.000
cache size      : 3072 KB
physical id     : 0
siblings        : 4
core id         : 1
cpu cores       : 2
apicid          : 2
initial apicid  : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips        : 3591.83
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 2
vendor_id       : GenuineIntel
cpu family      : 6
model           : 58
model name      : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping        : 9
microcode       : 0x19
cpu MHz         : 1782.000
cache size      : 3072 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 2
apicid          : 1
initial apicid  : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips        : 3591.83
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 3
vendor_id       : GenuineIntel
cpu family      : 6
model           : 58
model name      : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping        : 9
microcode       : 0x19
cpu MHz         : 1710.000
cache size      : 3072 KB
physical id     : 0
siblings        : 4
core id         : 1
cpu cores       : 2
apicid          : 3
initial apicid  : 3
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips        : 3591.83
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:


> From: e.longuemare@laposte.net
> To: lucaslinard@outlook.com.br
> Subject: [digikam] [Bug 278049] Crash during tagging while scanning run in background
> Date: Wed, 2 Oct 2013 07:36:57 +0000
> 
> https://bugs.kde.org/show_bug.cgi?id=278049
> 
> --- Comment #66 from e.longuemare@laposte.net ---
> Hello,
> 
> Should you do face confirmation without launching anything else out or
> in digikam (no scanning ...) and see if it crash ?
> 
> -restart the computer, launch digikam in gdb and do face tag
> confirmation
> 
> Should you give the result of $cat /proc/cpuinfo ?
> 
> cordialement,
> 
> Eric
> 
> 
> 
> Le mercredi 02 octobre 2013 à 00:34 +0000, Lucas Linard a écrit :
> > https://bugs.kde.org/show_bug.cgi?id=278049
> > 
> > --- Comment #65 from Lucas Linard <lucaslinard@outlook.com.br> ---
> > Created attachment 82599 [details]
> >   --> https://bugs.kde.org/attachment.cgi?id=82599&action=edit
> > New crash information added by DrKonqi
> > 
> > digikam (3.4.0) on KDE Platform 4.11.1 using Qt 4.8.5
> > 
> > - What I was doing when the application crashed:
> > Trying to use face detect tool to try to rescan the files with no confirmation
> > 
> > - Unusual behavior I noticed:
> > Simply Crashes.
> > 
> > -- Backtrace (Reduced):
> > #6  0x0000003421b9d70b in clear (d=0x5d16c30) at kernel/qvariant.cpp:290
> > #7  0x000000344ff35c11 in node_destruct (this=<optimized out>, n=0x5948158) at
> > /usr/include/QtCore/qlist.h:388
> > #8  erase (alast=..., afirst=..., this=0x2062b18) at
> > /usr/include/QtCore/qlist.h:803
> > #9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x20606a0,
> > toRemove=...) at
> > /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
> > #10 0x000000344ff36ec2 in Digikam::ImageModel::finishIncrementalRefresh
> > (this=this@entry=0x20606a0) at
> > /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
> >
> 
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 68 caulier.gilles 2013-10-02 16:33:25 UTC
Look here :

http://www.digikam.org/contrib

Gilles Caulier
Comment 69 caulier.gilles 2013-10-31 07:52:28 UTC
digiKam 3.5.0 is out.

Can you give a fresh feedback about your report ? Crash still reproducible ?

Thanks in advance

Gilles Caulier
Comment 70 Pete Beardmore 2013-12-01 18:17:19 UTC
Created attachment 83863 [details]
gdb full backtrace

KDEBUG=1 gdb bt full for git version 2013Dec01 @ 3c1c6475bec2edd1bac4125c2c4a42d45dd7213d
Comment 71 Marcel Wiesweg 2013-12-25 13:06:23 UTC
Git commit 98a3ddb180e320c5ae3fe501788c38d6c8ae4908 by Marcel Wiesweg.
Committed on 25/12/2013 at 12:23.
Pushed by mwiesweg into branch 'master'.

Fix infamous big face scanning crash: Re-sending a package in the
ImageFilterModel discarded the extraValues,
resulting in a mismatch in the size of infos and extraValues lists in
ImageModel
Related: bug 262596, bug 278049

M  +17   -12   libs/models/imagefiltermodel.cpp
M  +1    -2    libs/models/imagefiltermodelpriv.h
M  +2    -0    libs/models/imagemodel.cpp

http://commits.kde.org/digikam/98a3ddb180e320c5ae3fe501788c38d6c8ae4908